package com.javaseleniumtemplate.pages;

import com.javaseleniumtemplate.bases.PageBase;
import org.openqa.selenium.By;

public class MainPage extends PageBase {
    //Mapping
    By usernameLoginInfoTextArea = By.xpath("//div[@class='zh-header-info']");
    By reportIssueLink = By.xpath("//a[@href='/bug_report_page.php']");

    By menuPrincipal = By.xpath("//div[@class='bars']");
    //By menuPrincipal = By.id("splash");

    //COMPRAS:
    By menuCompras = By.xpath("//span[text() = 'Compras']");
    By menuSolicitacoesCompras = By.xpath("//span[text() = 'Solicitação de Compras']");
    //By menuDocumentosFiscais_Saidas_Lancamentos = By.xpath("//span[text() = 'Lançamentos']");
    By menuLancamentoDaSolicitacaoDeCompras = By.xpath("//span[text() = 'Lançamento da Solicitação de Compras']");
    //By menuDocumentosFiscais_Saidas_Lancamentos_LancamentoDeSaida = By.xpath("//span[text() = 'Lançamento de Saída']");

    //ESTOQUE:
    By menuEstoque = By.xpath("//span[text() = 'Estoque']");
    //By menuDocumentosFiscais_Saidas = By.xpath("//span[text() = 'Saídas']");
    By menuAjusteIventario = By.xpath("//span[text() = 'Ajuste de Inventário']");

    By loadingWait = By.xpath("//*[@class='zh-background-loading ng-scope']//span[@class='zh-loading-icon']");
    By limparFiltro = By.xpath("//a[@data-zh-title-tooltip='Clear Filter (Ctrl+Backspace)']");

    //Actions
    public String retornaUsernameDasInformacoesDeLogin(){
        return getText(usernameLoginInfoTextArea);
    }
    public void clicarEmReportIssue(){
        click(reportIssueLink);
    }

    public void clicarEmMenuPrincipal(){
        //waitForElement(displayPagamentosVencidos);
        waitForElement(usernameLoginInfoTextArea);
        click(menuPrincipal);
    }

    public void clicarEmCompras(){
        click(menuCompras);
        click(menuSolicitacoesCompras);
        click(menuLancamentoDaSolicitacaoDeCompras);
    }
    public void clicarEmEstoque(){
        click(menuEstoque);
        click(menuAjusteIventario);
    }

    /*public void clicarEmDocumentosFiscaisSaidasLancamentosLancamentoDeSaida(){
        click(menuDocumentosFiscais_Saidas_Lancamentos_LancamentoDeSaida);
    }*/
}
